/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// UserConfirmationCodeIsInvalid struct for UserConfirmationCodeIsInvalid
type UserConfirmationCodeIsInvalid struct {
	Kind *string `json:"kind,omitempty"`
}

// NewUserConfirmationCodeIsInvalid instantiates a new UserConfirmationCodeIsInvalid object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUserConfirmationCodeIsInvalid() *UserConfirmationCodeIsInvalid {
	this := UserConfirmationCodeIsInvalid{}
	var kind string = "userConfirmationCodeIsInvalid"
	this.Kind = &kind
	return &this
}

// NewUserConfirmationCodeIsInvalidWithDefaults instantiates a new UserConfirmationCodeIsInvalid object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUserConfirmationCodeIsInvalidWithDefaults() *UserConfirmationCodeIsInvalid {
	this := UserConfirmationCodeIsInvalid{}
	var kind string = "userConfirmationCodeIsInvalid"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *UserConfirmationCodeIsInvalid) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *UserConfirmationCodeIsInvalid) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *UserConfirmationCodeIsInvalid) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *UserConfirmationCodeIsInvalid) SetKind(v string) {
	o.Kind = &v
}

func (o UserConfirmationCodeIsInvalid) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	return json.Marshal(toSerialize)
}

type NullableUserConfirmationCodeIsInvalid struct {
	value *UserConfirmationCodeIsInvalid
	isSet bool
}

func (v NullableUserConfirmationCodeIsInvalid) Get() *UserConfirmationCodeIsInvalid {
	return v.value
}

func (v *NullableUserConfirmationCodeIsInvalid) Set(val *UserConfirmationCodeIsInvalid) {
	v.value = val
	v.isSet = true
}

func (v NullableUserConfirmationCodeIsInvalid) IsSet() bool {
	return v.isSet
}

func (v *NullableUserConfirmationCodeIsInvalid) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUserConfirmationCodeIsInvalid(val *UserConfirmationCodeIsInvalid) *NullableUserConfirmationCodeIsInvalid {
	return &NullableUserConfirmationCodeIsInvalid{value: val, isSet: true}
}

func (v NullableUserConfirmationCodeIsInvalid) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUserConfirmationCodeIsInvalid) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


